##start
##vertex

#version 150
#extension GL_ARB_explicit_attrib_location : enable


layout(location=0) in vec3 in_Position;
layout(location=1) in vec3 in_Normal;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;


out vec4 n;

void main()
{


   n = vec4(in_Normal,1);


   gl_Position = vec4(in_Position,1);


    gl_Position = projMatrix * viewMatrix * modelMatrix * gl_Position ;

}

##end

##start
##fragment

#version 150 core
in vec4 normal;
uniform vec4 col;
out vec4 out_color;

void main(void)
{
	out_color = col;
}

##end
